Subject: bug#62256: closed (Re: bug#62256: 28.2; Invalid edebug spec gv-define-simple-setter)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 26 Mar 2023 11:41:02 +0000

Your bug report

#62256: 28.2; Invalid edebug spec gv-define-simple-setter

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62256: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62256
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62256: 28.2; Invalid edebug spec gv-define-simple-setter
From: Eli Zaretskii <[email-masked]>
To: Matúš Goljer <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 26 Mar 2023 14:40:04 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Matúš Goljer <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Sun, 26 Mar 2023 13:28:06 +0200
> 
> I was thinking about the form in `(get 'compiler-macro
> 'edebug-declaration-spec)` but actually that one is correct.  It's a bit
> confusing that top level is always wrapped in () even though that list
> wrapper is ignored.
> 
> So in the end there's only this one fix.

Thanks, installed on the emacs-29 branch, and closing the bug.

Subject: 28.2; Invalid edebug spec gv-define-simple-setter
From: Matúš Goljer <[email-masked]>
To: [email-masked]
Date: Sat, 18 Mar 2023 14:25:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Insert

(gv-define-simple-setter aref aset)

in a buffer and try to edebug-eval it (C-u C-M-x).

It gives an error which I don't understand, because the second argument
`aset' should match symbolp...

I also tried this on the build from master and the error is the same.

Debugger entered--Lisp error: (invalid-read-syntax "Expected" (&or symbolp lambda-expr))
  signal(invalid-read-syntax ("Expected" (&or symbolp lambda-expr)))
  edebug-syntax-error("Expected" (&or symbolp lambda-expr))
  apply(edebug-syntax-error ("Expected" (&or symbolp lambda-expr)))
  edebug-no-match(((aset) (176 . 180) . 181) "Expected" (&or symbolp lambda-expr))
  edebug-match-list(((aset) (176 . 180) . 181) (&or symbolp lambda-expr))
  edebug-match-one-spec(((aset) (176 . 180) . 181) (&or symbolp lambda-expr))
  edebug-match-specs(((aset) (176 . 180) . 181) ((&or symbolp lambda-expr) &optional sexp) edebug-match-specs)
  edebug-match-specs(((aset) (176 . 180) . 181) (sexp (&or symbolp lambda-expr) &optional sexp) edebug-match-specs)
  edebug-match-sublist(((aset) (176 . 180) . 181) (sexp (&or symbolp lambda-expr) &optional sexp))
  #f(compiled-function (head cursor) #<bytecode 0x194f427789f7f1ec>)(gv-define-simple-setter ((aset) (176 . 180) . 181))
  edebug-list-form(((aset) (176 . 180) . 181))
  edebug-form((((gv-define-simple-setter aref aset)) (146 (147 . 170) (171 . 175) (176 . 180) . 181)))
  edebug-make-form-wrapper((((gv-define-simple-setter aref aset)) (146 (147 . 170) (171 . 175) (176 . 180) . 181)) 146 181 nil)
  edebug-read-and-maybe-wrap-form1()
  edebug-read-and-maybe-wrap-form()
  edebug--read(read #<buffer *scratch*>)
  apply(edebug--read read #<buffer *scratch*>)

-- 
Best regards,
  Matúš Goljer